Bug 1446565 - Some keys are missing when using fr-ca keyboard layout with VNC display
Summary: Some keys are missing when using fr-ca keyboard layout with VNC display
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On:
Blocks: 1473046
TreeView+ depends on / blocked
 
Reported: 2017-04-28 11:05 UTC by Guo, Zhiyi
Modified: 2018-04-11 00:16 UTC (History)
13 users (show)

Fixed In Version: qemu-kvm-rhev-2.10.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-11 00:16:25 UTC


Attachments (Terms of Use)
key pressed (1.59 KB, image/png)
2017-07-11 12:11 UTC, Guo, Zhiyi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2018-04-10 22:54:38 UTC

Description Guo, Zhiyi 2017-04-28 11:05:01 UTC
Description of problem:
Some keys are missing when using fr-ca keyboard layout with VNC display

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.9.0-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot a rhel7.4 guest with cli:
/usr/libexec/qemu-kvm -name virtio-vga -m 2G -machine pc,accel=kvm\
        -cpu Skylake-Client\
        -smp 1 \
        -serial unix:/tmp/console1,server,nowait \
        -monitor stdio \
	-device virtio-vga,id=vga1 \
	-drive file=rhel74-0417.qcow2.2,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0,addr=04 -device scsi-hd,drive=drive-scsi-disk0,bus=scsi0.0,scsi-id=0,lun=0,id=scsi-disk0,bootindex=1 \
	-netdev tap,id=idinWyYp,vhost=on -device virtio-net-pci,mac=42:ce:a9:d2:4d:d8,id=idlbq7eA,netdev=idinWyYp \
	-qmp tcp:0:4445,server,nowait \
	-k fr-ca \
        -vnc :0  \
2. Change guest keyboard layout to French(Canada)
3. Open a terminal in guest  and type - and +(from my english layout hw keyboard)

Actual results:
Nothing present in guest terminal and qemu prompt:
Warning: no scancode found for keysym 45
Warning: no scancode found for keysym 61
Expected results:
A ) and - present(in french canada kayboard layout, type - in us will have a ) and type + will have a -)

Additional info:
No such issue happen when using spice display

Comment 2 Gerd Hoffmann 2017-06-06 13:56:07 UTC
> A ) and - present(in french canada kayboard layout, type - in us will have a
> ) and type + will have a -)

/me is confused.  What keys you are talking about?

According to gnome keymap utility en-us and fr-ca keyboards have "+" and "-" at the very same location ...

Comment 3 Gerd Hoffmann 2017-06-06 13:56:55 UTC
No regression and not important enough for 7.4, defering.

Comment 4 Guo, Zhiyi 2017-07-11 12:11:37 UTC
Created attachment 1296200 [details]
key pressed

Sorry for the late response :(

Hmm, refer to keyboard layout(I open it from "show keyboard layout").

Attach a screenshot to show which keys I pressed, you can see these two keys(now I think only press the key left can present the problem...)
On a rhel7.4 host with real usb keyboard(an english kayout keyboard), change Input Sources to French(Canada), open a terminal, make sure input source is fr(this can be found on the top right corner). First press the key left that indicated from my screenshot from hw keyboard and then press the key right. The terminal will show "-="

Back to the guest launched by the reported qemu cli and same test as I did for host, nothing present in guest terminal and only messages prompt from hmp:
Warning: no scancode found for keysym 45
Warning: no scancode found for keysym 61

Switch vnc to spice, the behavior is same as host, terminal will show "-="
spice cli:
/usr/libexec/qemu-kvm -name virtio-vga -m 2G -machine pc,accel=kvm\
        -cpu Skylake-Client\
        -smp 1 \
        -serial unix:/tmp/console1,server,nowait \
        -monitor stdio \
        -device VGA,id=vga1 \
        -drive file=rhel74-0501.qcow2,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0,addr=04 -device scsi-hd,drive=drive-scsi-disk0,bus=scsi0.0,scsi-id=0
,lun=0,id=scsi-disk0,bootindex=1 \
        -netdev tap,id=idinWyYp,vhost=on -device virtio-net-pci,mac=42:ce:a9:d2:4d:d8,id=idlbq7eA,netdev=idinWyYp \
        -k fr-ca \
        -spice port=5900,disable-ticketing,agent-mouse=on \
        -device virtio-serial-pci,id=virtio-serial1 \
        -chardev spicevmc,id=charchannel0,name=vdagent \

Maybe this can explain the issue?

Comment 5 Gerd Hoffmann 2017-07-12 07:32:52 UTC
http://patchwork.ozlabs.org/patch/787038/

Comment 6 Gerd Hoffmann 2017-09-26 09:29:45 UTC
landed upstream (2.10)

b02cf99b9d keymaps: fr-ca: more fixups
feb47cf2fa keymaps: fr-ca: add missing keys

Comment 10 errata-xmlrpc 2018-04-11 00:16:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104


Note You need to log in before you can comment on or make changes to this bug.